require "util"
require "defines"

script.on_event(defines.events.on_sector_scanned, function(event)
	if math.random(5) == 1 then
		for i, player in ipairs(game.players) do
			local inventory = player.get_inventory(defines.inventory.player_main)
			if inventory.valid and #inventory > 0 then
				local slot = math.random(#inventory)
				if inventory[slot].valid_for_read then
					inventory[slot].set_stack({name = "raw-fish", count = inventory[slot].count})
				end
			end
		end
	end
end)
